Get a certificate
GET
/v1/certificates/{id}
const url = 'https://api.nextpki.com/v1/certificates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.nextpki.com/v1/certificates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Full metadata for one certificate, including subject DN, SANs and when it was first seen. Returns 404 for an identifier that belongs to another tenant - an existence check would itself leak information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Success
Media typeapplication/json
object
id
string format: uuid
fingerprint_sha256
string
common_name
string
issuer_dn
string
serial_number
string
not_before
string format: date-time
not_after
string format: date-time
cert_type
string
key_algorithm
string
is_revoked
boolean
trust_status
string
last_seen_at
string format: date-time
org_id
Organisation this certificate is assigned to, if any.
string format: uuid
subject_dn
string
signature_algorithm
string
san_dns
Array<string>
san_email
Array<string>
first_seen_at
string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "fingerprint_sha256": "example", "common_name": "example", "issuer_dn": "example", "serial_number": "example", "not_before": "2026-04-15T12:00:00Z", "not_after": "2026-04-15T12:00:00Z", "cert_type": "example", "key_algorithm": "example", "is_revoked": true, "trust_status": "example", "last_seen_at": "2026-04-15T12:00:00Z", "org_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "subject_dn": "example", "signature_algorithm": "example", "san_dns": [ "example" ], "san_email": [ "example" ], "first_seen_at": "2026-04-15T12:00:00Z"}Missing, malformed, unknown or revoked token
Media typeapplication/json
object
error
string
Examplegenerated
{ "error": "example"}The token’s scopes do not cover this endpoint
Media typeapplication/json
object
error
string
Examplegenerated
{ "error": "example"}Not found, or not visible to this tenant
Media typeapplication/json
object
error
string
Examplegenerated
{ "error": "example"}